Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@rz.fh-augsburg.de>

Summary:   	tcsh - an enhanced version of Berkeley UNIX C shell (csh)
Name:      	tcsh
Version:   	6.14.00
Release:   	2
Provides:	%{name}
License: 	DIG
URL:		http:://www.tcsh.org
Group:     	Shells
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Tcsh is an enhanced, but completely compatible version of the Berkeley UNIX C shell (csh).
It is a command language interpreter usable both as an interactive login shell
and a shell script command processor.
It includes a command-line editor, programmable word completion, spelling correction,
a history mechanism, job control and a C-like syntax.

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" >> /etc/shells
	echo "/bin/csh"  >> /etc/shells
else
	grep -q '^/bin/tcsh$' /etc/shells || \
	echo "/bin/tcsh" >> /etc/shells
	grep -q '^/bin/csh$'  /etc/shells || \
	echo "/bin/csh"  >> /etc/shells
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh$'  /etc/shells | \
	grep -v '^/bin/csh$' > /etc/shells.rpm
	cat /etc/shells.rpm > /etc/shells && rm /etc/shells.rpm
fi

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--bindir=/bin \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir
make
sh ./tcsh.man2html

%install
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
ln -v -sf tcsh $RPM_BUILD_ROOT/bin/csh
mkdir -p $RPM_BUILD_ROOT%_bindir
cd $RPM_BUILD_ROOT%_bindir
ln -sf ../../bin/tcsh .
ln -sf ../../bin/csh .
cd $RPM_BUILD_ROOT%_mandir
ln -sf tcsh.1 $RPM_BUILD_ROOT%_mandir/man1/csh.1
cd $RPM_BUILD_DIR/%{name}-%{version}
install -v -m755 -d $RPM_BUILD_ROOT%_datadir/doc/tcsh-6.14.00/html
install -v -m644 tcsh.html/* $RPM_BUILD_ROOT%_datadir/doc/tcsh-6.14.00/html
install -v -m644 FAQ README $RPM_BUILD_ROOT%_datadir/doc/tcsh-6.14.00
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
/bin
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 28 2005 Christian Wasem <wasem@ccux-linux.de> 6.14.00-2
- tweaked specfile
* Tue Sep 27 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 6.14.00-1
- rebuilt SRPM, Version Update
